﻿local formats = {
	["YY-MM-DD"] = {
		ACHIEVEMENT_TOOLTIP_COMPLETE = ACHIEVEMENT_TOOLTIP_COMPLETE:gsub("%S*%%2$d%S*", "20%%4$02d-%%2$02d-%%3$02d"),
		SHORTDATE = "%3$02d-%2$02d-%1$02d",
	},
	["DD-MM-YY"] = {
		ACHIEVEMENT_TOOLTIP_COMPLETE = ACHIEVEMENT_TOOLTIP_COMPLETE:gsub("%S*%%2$d%S*", "%%3$02d-%%2$02d-20%%4$02d"),
		SHORTDATE = "%1$02d-%2$02d-%3$02d",
	},
}

GUILD_NEWS_DATE = "%1$s %2$s/%3$s"

local addon = CreateFrame("Frame")
addon:RegisterEvent("ADDON_LOADED")
addon:SetScript("OnEvent", function(self, event, addon)
	if addon == "EuroDating" then
		EuroDatingDB = EuroDatingDB or {
			format = "YY-MM-DD",
			delimiter = "-",
		}
		self:SetStrings()
		self:UnregisterEvent(event)
	end
end)

function addon:SetStrings()
	for k, v in pairs(formats[EuroDatingDB.format]) do
		_G[k] = v
	end
end

SlashCmdList["EURODATING"] = function()
	EuroDatingDB.format = EuroDatingDB.format == "YY-MM-DD" and "DD-MM-YY" or "YY-MM-DD"
	addon:SetStrings()
	print(format("Now using %s format.", EuroDatingDB.format))
end

SLASH_EURODATING1 = "/ed"
SLASH_EURODATING2 = "/eurodating"